Sluby
REST APIAuth

Stop signing in with a provider.

Studio sessions only. Takes a provider such as GitHub off the signed-in account. Sessions that signed in through it end. An email and password is changed, not removed.

DELETE
/api/v1/auth/identities/{provider}

Studio sessions only. Takes a provider such as GitHub off the signed-in account. Sessions that signed in through it end. An email and password is changed, not removed.

Authorization

cookieAuth
cookiesluby_session<token>

Signed session cookie issued to the Studio at sign-in (email and password, GitHub, setup, or an invite or reset link).

Path Parameters

provider*"github"

The sign-in provider.

Value in"github"

Response Body

Removed.

application/json
  1. response
success*unknown
Example Request
curl -X DELETE 'https://sluby.example.com/api/v1/auth/identities/github'
Example Response
{  "success": true}